Subject: [calsify] Updated JSCalendar draft calext-06

From: Robert Stepanek <[email-masked]>
Date: Thu, 30 Aug 2018 11:08:07 +0200

Thanks for your feedback on WGLC so far. I have just uploaded an
updated version 06[1] of the JSCalendar RFC draft document,
incorporated your input.
This version includes the following notable changes:

 * *recurrenceRule*: the recurrence evaluation for yearly frequencies
   with no byYearDay has been updated (section 4.3.1[2]). The diff on
   the Git repository highlights the differences: see here[3]
 * *estimatedDuration*: the recommendation to estimate the property
   value within the planned task time-frame has been removed. The
   estimation is left to the application (section 5.2.4[4]).
 * *method*: the iTIP method property on a JSCalendar object was
   erroneously defined to translate to a VEVENT/VTODO METHOD property.
   But the METHOD property in iCalendar is defined on the VCALENDAR
   component (section 6.4[5]).
 * *JSTask status and completed:* the JSTask status property has been
   redefined to define the overall status of a task. The completed
   property has been replaced with the statusUpdatedAt property
   (section 6.2[6]).
The complete version history for the document is available on the
Github repo[7].
Cheers,
Robert

Links:

  1. https://tools.ietf.org/html/draft-ietf-calext-jscalendar-06
  2. https://tools.ietf.org/html/draft-ietf-calext-jscalendar-06#section-4.3.1
  3. https://github.com/CalConnect/PUBLIC_DRAFTS/commit/292e01a848691480a3dbb3a30f4c608b1e504f43#diff-9086f322bca623a30c8136fcfca365f7
  4. https://tools.ietf.org/html/draft-ietf-calext-jscalendar-06#section-5.2.4
  5. https://tools.ietf.org/html/draft-ietf-calext-jscalendar-06#section-6.4
  6. https://tools.ietf.org/html/draft-ietf-calext-jscalendar-06#section-6.2
  7. https://github.com/CalConnect/PUBLIC_DRAFTS/commits/master/jscalendar